%define upstream_name	 Gtk2
%define	upstream_version 1.24993

%define _default_patch_fuzz        2
%define Werror_cflags %nil

%define perl_glib_require 1.240
%define gtk_require 2.24.10
%define cairo_require 1.00
%define pango_require 1.220

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Perl module for the gtk+-2.x library
License:    LGPLv2+
Group:      Development/GNOME and GTK+
Url:        https://gtk2-perl.sourceforge.net/
Source0:    https://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.gz
Patch7:     Gtk2-gtk_exit.patch
Patch21:    Gtk2-1.038-xset_input_focus.patch
Patch23:    Gtk2-1.023-exception-trapping.patch 
Patch26:    Gtk2-perl-5.20.diff

BuildRequires: perl(Cairo) >= 1.0.0
BuildRequires: perl(ExtUtils::Depends) >= 0.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.30.0
BuildRequires: perl(Glib) >= 1.280.0
BuildRequires: perl(Pango) >= 1.220.0
BuildRequires: gtk+2-devel >= %gtk_require
BuildRequires: perl-devel
BuildRequires: perl(ExtUtils::Depends) >= 0.300
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.03
BuildRequires: perl(Glib) >= %perl_glib_require
BuildRequires: perl(Cairo) >= %cairo_require
BuildRequires: perl(Pango) >= %pango_require
# for test suite:
BuildRequires: fontconfig
BuildRequires: fonts-ttf-dejavu
BuildRequires: x11-server-xvfb >= 1.15.99.903-4
Requires:   gtk+2
Requires:   libgtk+2 => %(pkg-config --modversion gtk+-2.0||echo 2.24)
Requires:   perl-Glib >= %perl_glib_require
#	(misc) needed by /usr/lib/perl5/vendor_perl/5.8.7/i386-linux/Gtk2/Install/Files.pm
Requires:   perl-Cairo >= %cairo_require
Requires:   perl-Pango >= %pango_require
# required to avoid warnings when loading
Recommends:   canberra-gtk

# Be sure to update this list on any upstream change
Provides: perl(Gtk2)
Provides: perl(Gtk2::AboutDialog)
Provides: perl(Gtk2::AccelGroup)
Provides: perl(Gtk2::AccelLabel)
Provides: perl(Gtk2::AccelMap)
Provides: perl(Gtk2::Action)
Provides: perl(Gtk2::ActionGroup)
Provides: perl(Gtk2::Activatable)
Provides: perl(Gtk2::Adjustment)
Provides: perl(Gtk2::Alignment)
Provides: perl(Gtk2::Arrow)
Provides: perl(Gtk2::AspectFrame)
Provides: perl(Gtk2::Assistant)
Provides: perl(Gtk2::Bin)
Provides: perl(Gtk2::BindingSet)
Provides: perl(Gtk2::Box)
Provides: perl(Gtk2::Buildable)
Provides: perl(Gtk2::Builder)
Provides: perl(Gtk2::Button)
Provides: perl(Gtk2::ButtonBox)
Provides: perl(Gtk2::Calendar)
Provides: perl(Gtk2::CellEditable)
Provides: perl(Gtk2::CellLayout)
Provides: perl(Gtk2::CellRenderer)
Provides: perl(Gtk2::CellRendererAccel)
Provides: perl(Gtk2::CellRendererCombo)
Provides: perl(Gtk2::CellRendererPixbuf)
Provides: perl(Gtk2::CellRendererProgress)
Provides: perl(Gtk2::CellRendererSpin)
Provides: perl(Gtk2::CellRendererSpinner)
Provides: perl(Gtk2::CellRendererText)
Provides: perl(Gtk2::CellRendererToggle)
Provides: perl(Gtk2::CellView)
Provides: perl(Gtk2::CheckButton)
Provides: perl(Gtk2::CheckMenuItem)
Provides: perl(Gtk2::Clipboard)
Provides: perl(Gtk2::ColorButton)
Provides: perl(Gtk2::ColorSelection)
Provides: perl(Gtk2::ColorSelectionDialog)
Provides: perl(Gtk2::Combo)
Provides: perl(Gtk2::ComboBox)
Provides: perl(Gtk2::ComboBoxEntry)
Provides: perl(Gtk2::Container)
Provides: perl(Gtk2::Curve)
Provides: perl(Gtk2::Dialog)
Provides: perl(Gtk2::Dnd)
Provides: perl(Gtk2::DrawingArea)
Provides: perl(Gtk2::Editable)
Provides: perl(Gtk2::Entry)
Provides: perl(Gtk2::EntryBuffer)
Provides: perl(Gtk2::EntryCompletion)
Provides: perl(Gtk2::EventBox)
Provides: perl(Gtk2::Expander)
Provides: perl(Gtk2::FileChooser)
Provides: perl(Gtk2::FileChooserButton)
Provides: perl(Gtk2::FileChooserDialog)
Provides: perl(Gtk2::FileChooserWidget)
Provides: perl(Gtk2::FileFilter)
Provides: perl(Gtk2::FileSelection)
Provides: perl(Gtk2::Fixed)
Provides: perl(Gtk2::FontButton)
Provides: perl(Gtk2::FontSelection)
Provides: perl(Gtk2::Frame)
Provides: perl(Gtk2::GammaCurve)
Provides: perl(Gtk2::GC)
Provides: perl(Gtk2::Gdk)
Provides: perl(Gtk2::Gdk::Cairo)
Provides: perl(Gtk2::Gdk::Color)
Provides: perl(Gtk2::Gdk::Cursor)
Provides: perl(Gtk2::Gdk::Device)
Provides: perl(Gtk2::Gdk::Display)
Provides: perl(Gtk2::Gdk::DisplayManager)
Provides: perl(Gtk2::Gdk::Dnd)
Provides: perl(Gtk2::Gdk::Drawable)
Provides: perl(Gtk2::Gdk::Event)
Provides: perl(Gtk2::Gdk::GC)
Provides: perl(Gtk2::Gdk::Image)
Provides: perl(Gtk2::Gdk::Keys)
Provides: perl(Gtk2::Gdk::Pango)
Provides: perl(Gtk2::Gdk::Pixbuf)
Provides: perl(Gtk2::Gdk::PixbufLoader)
Provides: perl(Gtk2::Gdk::PixbufSimpleAnim)
Provides: perl(Gtk2::Gdk::Pixmap)
Provides: perl(Gtk2::Gdk::Property)
Provides: perl(Gtk2::Gdk::Region)
Provides: perl(Gtk2::Gdk::Rgb)
Provides: perl(Gtk2::Gdk::Screen)
Provides: perl(Gtk2::Gdk::Selection)
Provides: perl(Gtk2::Gdk::Types)
Provides: perl(Gtk2::Gdk::Visual)
Provides: perl(Gtk2::Gdk::Window)
Provides: perl(Gtk2::Gdk::X11)
Provides: perl(Gtk2::HandleBox)
Provides: perl(Gtk2::HBox)
Provides: perl(Gtk2::HButtonBox)
Provides: perl(Gtk2::HPaned)
Provides: perl(Gtk2::HRuler)
Provides: perl(Gtk2::HScale)
Provides: perl(Gtk2::HScrollbar)
Provides: perl(Gtk2::HSeparator)
Provides: perl(Gtk2::HSV)
Provides: perl(Gtk2::IconFactory)
Provides: perl(Gtk2::IconTheme)
Provides: perl(Gtk2::IconView)
Provides: perl(Gtk2::Image)
Provides: perl(Gtk2::ImageMenuItem)
Provides: perl(Gtk2::IMContext)
Provides: perl(Gtk2::IMContextSimple)
Provides: perl(Gtk2::IMMultiContext)
Provides: perl(Gtk2::InfoBar)
Provides: perl(Gtk2::InputDialog)
Provides: perl(Gtk2::Invisible)
Provides: perl(Gtk2::Item)
Provides: perl(Gtk2::ItemFactory)
Provides: perl(Gtk2::Label)
Provides: perl(Gtk2::Layout)
Provides: perl(Gtk2::LinkButton)
Provides: perl(Gtk2::List)
Provides: perl(Gtk2::ListItem)
Provides: perl(Gtk2::ListStore)
Provides: perl(Gtk2::Menu)
Provides: perl(Gtk2::MenuBar)
Provides: perl(Gtk2::MenuItem)
Provides: perl(Gtk2::MenuShell)
Provides: perl(Gtk2::MenuToolButton)
Provides: perl(Gtk2::MessageDialog)
Provides: perl(Gtk2::Misc)
Provides: perl(Gtk2::Notebook)
Provides: perl(Gtk2::Object)
Provides: perl(Gtk2::OffscreenWindow)
Provides: perl(Gtk2::OptionMenu)
Provides: perl(Gtk2::Orientable)
Provides: perl(Gtk2::PageSetup)
Provides: perl(Gtk2::Paned)
Provides: perl(Gtk2::PaperSize)
Provides: perl(Gtk2::Plug)
Provides: perl(Gtk2::PrintContext)
Provides: perl(Gtk2::PrintOperation)
Provides: perl(Gtk2::PrintOperationPreview)
Provides: perl(Gtk2::PrintSettings)
Provides: perl(Gtk2::ProgressBar)
Provides: perl(Gtk2::RadioAction)
Provides: perl(Gtk2::RadioButton)
Provides: perl(Gtk2::RadioMenuItem)
Provides: perl(Gtk2::RadioToolButton)
Provides: perl(Gtk2::Range)
Provides: perl(Gtk2::Rc)
Provides: perl(Gtk2::RecentAction)
Provides: perl(Gtk2::RecentChooser)
Provides: perl(Gtk2::RecentChooserDialog)
Provides: perl(Gtk2::RecentChooserMenu)
Provides: perl(Gtk2::RecentChooserWidget)
Provides: perl(Gtk2::RecentFilter)
Provides: perl(Gtk2::RecentManager)
Provides: perl(Gtk2::Ruler)
Provides: perl(Gtk2::Scale)
Provides: perl(Gtk2::ScaleButton)
Provides: perl(Gtk2::ScrolledWindow)
Provides: perl(Gtk2::Selection)
Provides: perl(Gtk2::SeparatorMenuItem)
Provides: perl(Gtk2::SeparatorToolItem)
Provides: perl(Gtk2::Show)
Provides: perl(Gtk2::SizeGroup)
Provides: perl(Gtk2::Socket)
Provides: perl(Gtk2::SpinButton)
Provides: perl(Gtk2::Spinner)
Provides: perl(Gtk2::Statusbar)
Provides: perl(Gtk2::StatusIcon)
Provides: perl(Gtk2::Stock)
Provides: perl(Gtk2::Style)
Provides: perl(Gtk2::Table)
Provides: perl(Gtk2::TearoffMenuItem)
Provides: perl(Gtk2::TextBuffer)
Provides: perl(Gtk2::TextBufferRichText)
Provides: perl(Gtk2::TextChildAnchor)
Provides: perl(Gtk2::TextIter)
Provides: perl(Gtk2::TextMark)
Provides: perl(Gtk2::TextTag)
Provides: perl(Gtk2::TextTagTable)
Provides: perl(Gtk2::TextView)
Provides: perl(Gtk2::ToggleAction)
Provides: perl(Gtk2::ToggleButton)
Provides: perl(Gtk2::ToggleToolButton)
Provides: perl(Gtk2::Toolbar)
Provides: perl(Gtk2::ToolButton)
Provides: perl(Gtk2::ToolItem)
Provides: perl(Gtk2::ToolItemGroup)
Provides: perl(Gtk2::ToolPalette)
Provides: perl(Gtk2::ToolShell)
Provides: perl(Gtk2::Tooltip)
Provides: perl(Gtk2::Tooltips)
Provides: perl(Gtk2::TreeDnd)
Provides: perl(Gtk2::TreeModel)
Provides: perl(Gtk2::TreeModelFilter)
Provides: perl(Gtk2::TreeModelSort)
Provides: perl(Gtk2::TreeSelection)
Provides: perl(Gtk2::TreeSortable)
Provides: perl(Gtk2::TreeStore)
Provides: perl(Gtk2::TreeView)
Provides: perl(Gtk2::TreeViewColumn)
Provides: perl(Gtk2::UIManager)
Provides: perl(Gtk2::VBox)
Provides: perl(Gtk2::VButtonBox)
Provides: perl(Gtk2::Viewport)
Provides: perl(Gtk2::VolumeButton)
Provides: perl(Gtk2::VPaned)
Provides: perl(Gtk2::VRuler)
Provides: perl(Gtk2::VScale)
Provides: perl(Gtk2::VScrollbar)
Provides: perl(Gtk2::VSeparator)
Provides: perl(Gtk2::Widget)
Provides: perl(Gtk2::Window)

%global __requires_exclude perl\\(Test::
%{?perl_default_filter}

%description
This module provides perl access to the gtk+-2.x library.

Gtk+ is the GIMP ToolKit (GTK+), a library for creating graphical user
interfaces for the X Window System.  GTK+ was originally written for the GIMP
(GNU Image Manipulation Program) image processing program, but is now used by
several other programs as well.

%package doc
Summary:    Gtk2 documentation
Group:      Documentation
BuildArch:  noarch

%description doc
This package contains documentation of the Gtk2 module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P 7 -p0
%patch -P 21 -p0 -b .tv
%patch -P 23 -p0 -b .except
# fix build with modules from ./lib/:
export PERL_USE_UNSAFE_INC=1
perl Makefile.PL INSTALLDIRS=vendor
chmod 755 gtk-demo/*.pl examples/*.pl

%build
# fix build with modules from ./lib/:
export PERL_USE_UNSAFE_INC=1
%make_build OPTIMIZE="%{optflags}"

%check
xvfb-run make test || :

%install
%make_install

%files
%doc AUTHORS LICENSE META.json META.yml MYMETA.yml NEWS README TODO examples
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}.pm
%{perl_vendorarch}/%{upstream_name}/*.pm
%{perl_vendorarch}/%{upstream_name}/*/*.pm
%{perl_vendorarch}/%{upstream_name}/Install
%{perl_vendorarch}/auto/*

%files doc
%doc gtk-demo examples
%{_mandir}/*/*
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}/*.pod
%{perl_vendorarch}/%{upstream_name}/*/*.pod
%{perl_vendorarch}/%{upstream_name}/*/*/*.pod


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 1.249.930-10.mga10
+ Revision: 2128029
- Rebuild for patchN deprecation

* Fri Aug 23 2024 tv <tv> 1.249.930-9.mga10
+ Revision: 2089515
- Fix build with newer gcc
- Rebuild for perl-5.40

* Thu Nov 30 2023 tv <tv> 1.249.930-8.mga10
+ Revision: 2011545
- Rebuild for perl-5.38
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.249.930-6.mga9
+ Revision: 1863157
- Rebuild for Perl 5.36

* Fri Apr 01 2022 umeabot <umeabot> 1.249.930-5.mga9
+ Revision: 1837843
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.249.930-4.mga9
+ Revision: 1726707
- Rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 1.249.930-3.mga8
+ Revision: 1596054
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.249.930-2.mga8
+ Revision: 1530332
- Mageia 8 Mass Rebuild

* Wed Aug 28 2019 tv <tv> 1.249.930-1.mga8
+ Revision: 1434750
- update to 1.24993

* Mon Aug 26 2019 tv <tv> 1.249.920-5.mga8
+ Revision: 1432692
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.249.920-4.mga7
+ Revision: 1293018
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 wally <wally> 1.249.920-3.mga7
+ Revision: 1247554
- rebuild for perl 5.28.0

* Mon Oct 02 2017 tv <tv> 1.249.920-2.mga7
+ Revision: 1164596
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 1.249.920-1.mga7
+ Revision: 1154387
- new release

* Thu Aug 31 2017 pterjan <pterjan> 1.249.900-5.mga7
+ Revision: 1149670
- Rebuild for perl ABI changes
+ tv <tv>
- remove patches we don't use for years

* Sat Jul 22 2017 tv <tv> 1.249.900-4.mga7
+ Revision: 1128338
- fix build
- rebuild for perl 5.26
- new release
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Thu May 12 2016 tv <tv> 1.249.800-2.mga6
+ Revision: 1014126
- use std build macros
- fix running testsuite

* Tue Feb 02 2016 tv <tv> 1.249.800-1.mga6
+ Revision: 932965
- new release

* Tue Dec 01 2015 tv <tv> 1.249.700-1.mga6
+ Revision: 907449
- new release

* Thu Aug 13 2015 sander85 <sander85> 1.249.600-1.mga6
+ Revision: 864382
- update to 1.2496

* Thu Jun 25 2015 tv <tv> 1.249.500-4.mga6
+ Revision: 843529
- rebuild with soname-ified perl

* Tue Jun 23 2015 tv <tv> 1.249.500-3.mga6
+ Revision: 841028
- ignore testsuite faillure
+ sander85 <sander85>
- Rebuild for perl 5.22

* Wed Feb 04 2015 luigiwalser <luigiwalser> 1.249.500-2.mga5
+ Revision: 813432
- rebuild to match mga4 release tag

* Sat Jan 31 2015 tv <tv> 1.249.500-1.mga5
+ Revision: 812906
- new release

* Sat Oct 18 2014 umeabot <umeabot> 1.249.200-5.mga5
+ Revision: 788005
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.249.200-3.mga5
+ Revision: 732235
- add exclude

* Sun Sep 21 2014 wally <wally> 1.249.200-2.mga5
+ Revision: 707652
- add manual provides (from Fedora)
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Jul 03 2014 tv <tv> 1.249.200-1.mga5
+ Revision: 642675
- new release
- new release

* Thu Jun 26 2014 tv <tv> 1.249.100-4.mga5
+ Revision: 639903
- re-enable test suite with fixed xvfb

* Thu Jun 26 2014 tv <tv> 1.249.100-3.mga5
+ Revision: 639898
- temporary disable test suite
- perl-5.20 fixes from git

* Tue Jun 03 2014 tv <tv> 1.249.100-2.mga5
+ Revision: 632064
- rebuild for new perl

* Tue Apr 29 2014 tv <tv> 1.249.100-1.mga5
+ Revision: 618868
- new release

* Mon Dec 16 2013 tv <tv> 1.249.0-2.mga4
+ Revision: 557307
- try to reenable testsuite

* Sat Dec 14 2013 tv <tv> 1.249.0-1.mga4
+ Revision: 556792
- new release

* Mon Oct 21 2013 umeabot <umeabot> 1.248.0-2.mga4
+ Revision: 538372
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 tv <tv> 1.248.0-1.mga4
+ Revision: 489482
- new release

* Wed May 29 2013 tv <tv> 1.247.0-2.mga4
+ Revision: 429933
- temp build fix due to BS
- new release
- require gtk+2 version used to compile

* Tue Feb 19 2013 tv <tv> 1.246.0-5.mga3
+ Revision: 399462
- bump require on Glib
- drop old mdk-9.2 conflict tags

* Sun Feb 10 2013 tv <tv> 1.246.0-4.mga3
+ Revision: 397759
- fix license

* Sun Jan 13 2013 umeabot <umeabot> 1.246.0-3.mga3
+ Revision: 367869
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 08 2012 tv <tv> 1.246.0-2.mga3
+ Revision: 328608
- new release

* Wed Oct 10 2012 jquelin <jquelin> 1.245.0-2.mga3
+ Revision: 304080
- fix rpm group

* Tue Aug 07 2012 tv <tv> 1.245.0-1.mga3
+ Revision: 279650
- new release

* Fri Aug 03 2012 tv <tv> 1.244.0-3.mga3
+ Revision: 278324
- rebuild with compressed debug info

* Thu Aug 02 2012 tv <tv> 1.244.0-2.mga3
+ Revision: 277897
- rebuild with mini debug info
- drop decade old perl-GTK2 obsolete tag

* Wed May 30 2012 tv <tv> 1.244.0-1.mga3
+ Revision: 251783
- new release

* Wed May 30 2012 jquelin <jquelin> 1.242.0-3.mga3
+ Revision: 250698
- rebuild for perl 5.16

* Mon Mar 26 2012 tv <tv> 1.242.0-2.mga2
+ Revision: 226819
- bump required version so that live upgrade works smoothly after priorty
  upgrade of perl, perl-Gtk2 for rpmdrake or gurpmi (mga#5066)

* Mon Jan 23 2012 tv <tv> 1.242.0-1.mga2
+ Revision: 200381
- new release

* Mon Nov 21 2011 tv <tv> 1.241.0-1.mga2
+ Revision: 170187
- adjust file list
- new release

* Fri Oct 14 2011 jquelin <jquelin> 1.240.0-1.mga2
+ Revision: 155067
- update to 1.240

* Mon Oct 03 2011 tv <tv> 1.232.0-1.mga2
+ Revision: 151274
- bump Glib require
- new release
- drop patch 0 (merged)
- new release
+ fwang <fwang>
- rebuild

* Sun Jun 12 2011 sander85 <sander85> 1.230.0-6.mga2
+ Revision: 104353
- Rebuild for perl 5.14

* Thu May 26 2011 ennael <ennael> 1.230.0-5.mga1
+ Revision: 100524
- fix glib2 version for require (#1432)

* Wed Mar 23 2011 blino <blino> 1.230.0-4.mga1
+ Revision: 75768
- fix #30: cope with the rename of the keysym defines in gtk+ 2.22 (from upstream git, stable branch)

* Sun Jan 23 2011 jquelin <jquelin> 1.230.0-3.mga1
+ Revision: 33796
- mageia rebuild
- imported package perl-Gtk2


* Tue Aug 31 2010 Thierry Vignaud <tv@mandriva.org> 1.230.0-3mdv2011.0
+ Revision: 574926
- let the doc subpackage be noarch

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.230.0-2mdv2011.0
+ Revision: 564481
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Thierry Vignaud <tv@mandriva.org> 1.230.0-1mdv2011.0
+ Revision: 555254
- bump require on gtk+ (#50412)

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.222.0-1mdv2011.0
+ Revision: 552315
- update to 1.222

* Mon Jul 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.221-1mdv2010.1
+ Revision: 392987
- update to new version 1.221

* Mon May 11 2009 Thierry Vignaud <tv@mandriva.org> 1.220-3mdv2010.0
+ Revision: 374595
- bump require on gtk+ (#50412)

* Wed Mar 25 2009 Thierry Vignaud <tv@mandriva.org> 1.220-2mdv2009.1
+ Revision: 361013
- canberra-gtk is not really required, so alter the hard requires into a suggests (#48577)

* Wed Mar 18 2009 Thierry Vignaud <tv@mandriva.org> 1.220-1mdv2009.1
+ Revision: 357188
- new release

* Wed Mar 11 2009 Thierry Vignaud <tv@mandriva.org> 1.212-1mdv2009.1
+ Revision: 353614
- new release

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.211-3mdv2009.1
+ Revision: 343944
- add a dependency on canberra-gtk to avoid warning when loading

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.211-2mdv2009.1
+ Revision: 343885
- rebuild with latest gtk

* Mon Feb 16 2009 Thierry Vignaud <tv@mandriva.org> 1.211-1mdv2009.1
+ Revision: 340889
- new release

* Fri Jan 16 2009 Thierry Vignaud <tv@mandriva.org> 1.210-1mdv2009.1
+ Revision: 330311
- new release
- require new Pango module
- temporary disable kill-relocations patches
- temporary enable fuzzy patches
- temporary disable Werror_cflags

* Mon Oct 27 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.202-1mdv2009.1
+ Revision: 297541
- update to new version 1.202

* Mon Oct 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.201-1mdv2009.1
+ Revision: 295506
- update to new version 1.201

* Sat Sep 20 2008 Thierry Vignaud <tv@mandriva.org> 1.200-1mdv2009.0
+ Revision: 286093
- new release (no changes, just tagged as stable)

* Mon Sep 08 2008 Thierry Vignaud <tv@mandriva.org> 1.193-1mdv2009.0
+ Revision: 282633
- new release

* Mon Sep 01 2008 Thierry Vignaud <tv@mandriva.org> 1.192-1mdv2009.0
+ Revision: 278183
- new release

* Thu Aug 21 2008 Thierry Vignaud <tv@mandriva.org> 1.191-1mdv2009.0
+ Revision: 274576
- new release

* Fri Jul 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.190-1mdv2009.0
+ Revision: 233662
- update to new version 1.190

* Tue Jun 10 2008 Thierry Vignaud <tv@mandriva.org> 1.183-1mdv2009.0
+ Revision: 217474
- disable test suite again

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version
      allow test to run on headless server

* Mon May 05 2008 Thierry Vignaud <tv@mandriva.org> 1.182-2mdv2009.0
+ Revision: 201498
- BuildRequire fonts-ttf-dejavu for cairo test suite
- BuildRequires fontconfig for test suite
- enable the test suite now that we've a threaded perl

* Mon Apr 14 2008 Thierry Vignaud <tv@mandriva.org> 1.182-1mdv2009.0
+ Revision: 193157
- bump require on ExtUtils::Depends
- new release

* Tue Feb 12 2008 Thierry Vignaud <tv@mandriva.org> 1.173-1mdv2008.1
+ Revision: 166535
- new release

* Tue Feb 12 2008 Thierry Vignaud <tv@mandriva.org> 1.172-3mdv2008.1
+ Revision: 166270
- patch 24: greatly reduce number of relocations
- patch 25: fix visibility errors on x86_64

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.172-2mdv2008.1
+ Revision: 151492
- rebuild for perl-5.10.0

* Thu Jan 10 2008 Thierry Vignaud <tv@mandriva.org> 1.172-1mdv2008.1
+ Revision: 147563
- new release

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Thierry Vignaud <tv@mandriva.org> 1.171-1mdv2008.1
+ Revision: 132421
- new release
- kill re-definition of %%buildroot on Pixel's request

* Wed Oct 31 2007 Thierry Vignaud <tv@mandriva.org> 1.170-1mdv2008.1
+ Revision: 104206
- new release

* Mon Oct 15 2007 Thierry Vignaud <tv@mandriva.org> 1.161-1mdv2008.1
+ Revision: 98606
- new release

* Tue Sep 25 2007 Thierry Vignaud <tv@mandriva.org> 1.160-1mdv2008.0
+ Revision: 92720
- disable tests again
- stable release (one improvement in Gtk2::StatusIcon, test suite fixes)
- reenable testsuite

* Thu Aug 02 2007 Thierry Vignaud <tv@mandriva.org> 1.155-1mdv2008.0
+ Revision: 58210
- new release
- versionnate 2 buildrequires
- no more need to prune CVS directories
- new release

* Mon Jul 30 2007 Thierry Vignaud <tv@mandriva.org> 1.153-1mdv2008.0
+ Revision: 56553
- new release

* Mon Jun 25 2007 Thierry Vignaud <tv@mandriva.org> 1.152-1mdv2008.0
+ Revision: 44017
- new release


* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.144-2mdv2007.1
+ Revision: 146603
- split out doc

* Tue Mar 13 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.144-1mdv2007.1
+ Revision: 143142
- new release

* Tue Feb 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.143-1mdv2007.1
+ Revision: 126591
- new release

* Mon Jan 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.142-1mdv2007.1
+ Revision: 111919
- new release

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.141-1mdv2007.1
+ Revision: 86823
- Import perl-Gtk2

* Thu Nov 23 2006 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.141-1mdv2007.1
- new release

* Wed Sep 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.140-1mdv2007.0
- new release

* Fri Sep 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.133-1mdv2007.0
- new release

* Fri Aug 11 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.132-1mdv2007.0
- new release

* Wed Jul 26 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.131-1mdv2007.0
- new release

* Fri Jun 02 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.130-3mdv2007.0
- obsolete perl-Gtk2-StatusIcon (#22856)

* Thu Jun 01 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.130-2mdv2007.0
- rebuild for gtk+-2.9.x (new bindings)

* Sun May 28 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.130-1mdv2007.0
- 1.130

* Sat Apr 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.121-1mdk
- New release 1.121
- spec cleanup

* Thu Mar 16 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.120-1mdk
- new release

* Tue Feb 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.116-1mdk
- new release

* Tue Jan 31 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.115-1mdk
- new release

* Tue Jan 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.114-1mdk
- new release

* Tue Jan 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.113-2mdk
- drop patch 9, no more used by DrakX

* Tue Jan 03 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.113-1mdk
- new release

* Thu Dec 22 2005 Michael Scherer <misc@mandriva.org> 1.111-2mdk
- Fix Requires

* Tue Nov 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.111-1mdk
- new release
- build cairo part too

* Thu Oct 13 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.101-1mdk
- New release 1.101
- fix doc perms

* Sun Oct 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.100-1mdk
- new release

* Thu Aug 25 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.083-2mdk
- rebuild against new gtk+

* Thu Aug 11 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.083-1mdk
- new release

* Fri Jun 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.082-1mdk
- new release

* Sat Apr 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.081-1mdk
- new release

* Tue Mar 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.080-1mdk
- new stable release

* Tue Mar 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.074-1mdk
- new release

* Tue Feb 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.073-1mdk
- new release

* Mon Jan 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.072-1mdk
- new release

* Fri Dec 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.071-2mdk
- rebuild for new gtk+-2.6.x

* Tue Nov 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.071-1mdk
- new release

* Fri Nov 12 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.070-2mdk
- Rebuild for new perl

* Wed Nov 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.070-1mdk
- new release

* Tue Aug 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.054-1mdk
- new release

* Tue Aug 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.053-1mdk
- new release

* Tue Jul 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.052-1mdk
- new release
- typo fixes

* Wed Jun 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.051-1mdk
- new release

* Fri Jun 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.050-1mdk
- new release

* Wed May 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.042-2mdk
- versionnate requires since gtk+ major was kept around all 2.x releases

* Wed Apr 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.042-1mdk
- new release

* Sat Apr 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.041-1mdk
- new release

* Sat Apr 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.040-2mdk
- link with gtk+-2.4.x

* Wed Mar 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.040-1mdk
- new release
- redo patch 9
- kill patch 27, 28 and 29 (merged upstream)
- patch 23: croak exceptions out of gtk_main too

